Skip to content

Update group

Request to update an existing group:

PUT /api/v2/groups/<group-id>.json

The request body contains the attributes of the group object to change. Attributes that are not included keep their values.

For example:

{
    "group": {
        "name": "New Group Name"
    }
}

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The group has been successfully updated. The response body contains the complete group object after the update
400 Bad Request

The request cannot be completed because the supplied JSON object has invalid data.

The response contains a detailed description of the error, like:

{"error": "InvalidRecord", "explanation": "Record Validation errors", "details": {"name": "Such name is not available"}}
403 Forbidden The request cannot be completed because API user has no permission to edit groups
404 Not Found Group with such ID does not exist, or it is outside the access scope of the API user